package com.dayou.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.common.RestResponse;
import com.dayou.dto.AssetsStatisticalSelectDTO;
import com.dayou.service.IAssetsStatisticalStatementService;
import com.dayou.vo.AssetsLedgerVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

@RestController
@RequestMapping("assets/statisticalStatement")
@Slf4j
public class AssetsStatisticalStatementController extends BaseController{

    @Autowired
    private IAssetsStatisticalStatementService assetsStatisticalStatementService;

    /**
     * 获取资产台账
     * @param dto 查询dto
     * @return Page<AssetsLedgerVO>
     */
    @GetMapping("/getAssetsLedgerVO")
    public RestResponse<Page<AssetsLedgerVO>> getAssetsLedgerVO(AssetsStatisticalSelectDTO dto, Page page) {
        return RestResponse.data(assetsStatisticalStatementService.getAssetsLedgerVO(dto,page));
    }

    /**
     * 资产台账导出
     * @param dto 查询dto
     */
    @GetMapping("/getAssetsLedgerVO/export")
    public void assetsLedgerVOExport(AssetsStatisticalSelectDTO dto, HttpServletResponse response) throws IOException {
        List<AssetsLedgerVO> result = assetsStatisticalStatementService.assetsLedgerVOExport(dto);
        exportPlus(response,"资产台账列表",result, AssetsLedgerVO.class);
    }

}
